Bug 180967 - Update port games/opensonic to 0.1.4
Summary: Update port games/opensonic to 0.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-31 13:20 UTC by devel
Modified: 2013-09-01 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (14.26 KB, patch)
2013-07-31 13:20 UTC, devel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2013-07-31 13:20:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-08-31 17:41:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-09-01 01:13:58 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-09-01 01:14:06 UTC
Author: madpilot
Date: Sun Sep  1 00:13:51 2013
New Revision: 325838
URL: http://svnweb.freebsd.org/changeset/ports/325838

Log:
  - Update to 0.1.4
  - Trim Makefile headers
  - Convert to new LIB_DEPENDS syntax
  
  PR:		ports/180967
  Submitted by:	Stas Timokhin <devel@stasyan.com> (maintainer)

Deleted:
  head/games/opensonic/files/patch-src__misc__opensonic_launcher
Modified:
  head/games/opensonic/Makefile
  head/games/opensonic/distinfo   (contents, props changed)
  head/games/opensonic/files/patch-CMakeLists.txt   (contents, props changed)
  head/games/opensonic/pkg-plist   (contents, props changed)

Modified: head/games/opensonic/Makefile
==============================================================================
--- head/games/opensonic/Makefile	Sun Sep  1 00:10:16 2013	(r325837)
+++ head/games/opensonic/Makefile	Sun Sep  1 00:13:51 2013	(r325838)
@@ -1,16 +1,11 @@
-# New ports collection makefile for: games/opensonic
-# Date created:		27 Aug 2009
-# Whom:			Stas Timokhin <stast@bsdportal.ru>
-#
+# Created by: Stas Timokhin <stast@bsdportal.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	opensonic
-PORTVERSION=	0.1.2
-PORTREVISION=	4
+PORTVERSION=	0.1.4
 CATEGORIES=	games
 MASTER_SITES=	SF/opensnc/Open%20Sonic/${PORTVERSION}
-DISTNAME=	opensnc-src${PORTVERSION}
+DISTNAME=	opensnc-src-${PORTVERSION}
 
 MAINTAINER=	devel@stasyan.com
 COMMENT=	Game based on the "Sonic the Hedgehog" universe
@@ -23,7 +18,7 @@ DESKTOP_ENTRIES="${PORTNAME}" \
 		"false"
 
 USES=		cmake
-CMAKE_ENV+=	OPENSNC_ALLEGRO_LIBS="`allegro-config --libs`" OPENSNC_ALLEGRO_VERSION="`allegro-config --version`"
+CMAKE_ENV+=	_ALLEGRO_LIBS="`allegro-config --libs`" _ALLEGRO_VERSION="`allegro-config --version`"
 
 CFLAGS+=	-I${LOCALBASE}/include
 
@@ -31,18 +26,21 @@ BUILD_DEPENDS+=	${LOCALBASE}/lib/libaldm
 		alpng>=1.3:${PORTSDIR}/graphics/alpng
 RUN_DEPENDS+=	${LOCALBASE}/lib/libaldmb.a:${PORTSDIR}/audio/dumb-allegro \
 		alpng>=1.3:${PORTSDIR}/graphics/alpng
-LIB_DEPENDS+=	alleg:${PORTSDIR}/devel/allegro \
-		ogg:${PORTSDIR}/audio/libogg \
-		vorbis.4:${PORTSDIR}/audio/libvorbis
+LIB_DEPENDS+=	liballeg.so:${PORTSDIR}/devel/allegro \
+		libogg.so:${PORTSDIR}/audio/libogg \
+		libvorbis.so:${PORTSDIR}/audio/libvorbis
 
 .include <bsd.port.pre.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e 's,/usr/bin,${LOCALBASE}/bin,g' \
-		${PATCH_WRKSRC}/CMakeLists.txt ${PATCH_WRKSRC}/src/global.h
+		${PATCH_WRKSRC}/CMakeLists.txt ${PATCH_WRKSRC}/src/core/global.h
 	@${REINPLACE_CMD} -e 's,/usr/share,${LOCALBASE}/share,g' \
-		${PATCH_WRKSRC}/src/global.h
-	@${REINPLACE_CMD} -e 's,%%GAME_DIR%%,${DATADIR},g' \
-		${PATCH_WRKSRC}/src/misc/opensonic ${PATCH_WRKSRC}/src/misc/opensonic_launcher
+		${PATCH_WRKSRC}/src/core/global.h
+	@${REINPLACE_CMD} -e 's,%%GAME_DIR%%,${DATADIR},g' -e 's,opensonic_bin,opensonic,g' -e 's,/bin/bash,/bin/sh,g' \
+		${PATCH_WRKSRC}/src/misc/opensonic
+
+post-install:
+	@${INSTALL_SCRIPT} ${PATCH_WRKSRC}/src/misc/opensonic ${LOCALBASE}/bin/opensonic
 
 .include <bsd.port.post.mk>

Modified: head/games/opensonic/distinfo
==============================================================================
--- head/games/opensonic/distinfo	Sun Sep  1 00:10:16 2013	(r325837)
+++ head/games/opensonic/distinfo	Sun Sep  1 00:13:51 2013	(r325838)
@@ -1,2 +1,2 @@
-SHA256 (opensnc-src0.1.2.tar.gz) = 9171ee123556f6600fb2b4198f75b7b252d5159e3714666e3589f17b6a76b1a5
-SIZE (opensnc-src0.1.2.tar.gz) = 4392887
+SHA256 (opensnc-src-0.1.4.tar.gz) = 3a4c3fa9538ee27c04b5ea848c9ad0a83f335471936d4617a18d3648c42588e9
+SIZE (opensnc-src-0.1.4.tar.gz) = 10525059

Modified: head/games/opensonic/files/patch-CMakeLists.txt
==============================================================================
--- head/games/opensonic/files/patch-CMakeLists.txt	Sun Sep  1 00:10:16 2013	(r325837)
+++ head/games/opensonic/files/patch-CMakeLists.txt	Sun Sep  1 00:13:51 2013	(r325838)
@@ -1,43 +1,13 @@
---- CMakeLists.txt.orig	2009-07-22 16:54:28.000000000 +1100
-+++ CMakeLists.txt	2010-02-02 20:05:55.037102480 +1000
-@@ -6,8 +6,15 @@
- # Initializing...
- CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
- PROJECT(opensonic C)
--SET(GAME_BIN opensonic)
--SET(LAUNCHER_BIN opensonic_launcher)
-+SET(GAME_NAME opensonic)
-+if(NOT WIN32)
-+SET(GAME_BIN ${GAME_NAME}_bin)
-+SET(LAUNCHER_BIN ${GAME_NAME}_launcher_bin)
-+else(NOT WIN32)
-+SET(GAME_BIN ${GAME_NAME})
-+SET(LAUNCHER_BIN ${GAME_NAME}_launcher)
-+endif(NOT WIN32)
-+
- SET(GAME_VERSION "0.1.2")
- SET(ALLEGRO_RECOMMENDED_VERSION "4.2.2")
- SET(CMAKE_BUILD_TYPE Release)
-@@ -248,8 +255,8 @@
- 
- # Installing on *nix
- IF(UNIX)
--  SET(GAME_INSTALL_DIR "/usr/share/opensonic")
--  SET(GAME_FINAL_DIR "/usr/bin")
-+  SET(GAME_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/opensonic")
-+  SET(GAME_FINAL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
- 
-   INSTALL(CODE "MESSAGE(\"Installing Open Sonic ${GAME_VERSION}... Make sure you have root privileges.\")")
-   INSTALL(TARGETS ${GAME_BIN} ${LAUNCHER_BIN} RUNTIME DESTINATION ${GAME_INSTALL_DIR})
-@@ -257,8 +264,8 @@
-   INSTALL(DIRECTORY config gui images levels licenses musics quests samples screenshots themes languages DESTINATION ${GAME_INSTALL_DIR} PATTERN ".svn" EXCLUDE)
- 
-   INSTALL(CODE "MESSAGE(\"Creating files at ${GAME_FINAL_DIR}...\")")
--  INSTALL(CODE "EXECUTE_PROCESS(COMMAND \"cmake\" \"-E\" \"copy\" \"${GAME_INSTALL_DIR}/${GAME_BIN}\" \"${GAME_FINAL_DIR}/${GAME_BIN}\")")
--  INSTALL(CODE "EXECUTE_PROCESS(COMMAND \"cmake\" \"-E\" \"copy\" \"${GAME_INSTALL_DIR}/${LAUNCHER_BIN}\" \"${GAME_FINAL_DIR}/${LAUNCHER_BIN}\")")
-+  INSTALL(CODE "EXECUTE_PROCESS(COMMAND \"cmake\" \"-E\" \"copy\" \"${CMAKE_CURRENT_BINARY_DIR}/src/misc/${GAME_NAME}\" \"${GAME_FINAL_DIR}/${GAME_NAME}\")")
-+  INSTALL(CODE "EXECUTE_PROCESS(COMMAND \"cmake\" \"-E\" \"copy\" \"${CMAKE_CURRENT_BINARY_DIR}/src/misc/${GAME_NAME}_launcher\" \"${GAME_FINAL_DIR}/${GAME_NAME}_launcher\")")
- 
--  INSTALL(CODE "MESSAGE(\"Done! Run ${LAUNCHER_BIN} to start the game.\")")
-+  INSTALL(CODE "MESSAGE(\"Done! Run ${GAME_NAME}_launcher to start the game.\")")
- ENDIF(UNIX)
+--- CMakeLists.txt.orig	2010-12-15 10:31:17.000000000 +0600
++++ CMakeLists.txt	2010-12-15 10:32:02.000000000 +0600
+@@ -410,8 +410,8 @@
+ 
+ # Installing on *nix
+ IF(UNIX)
+-  SET(GAME_INSTALL_DIR "/usr/share/${GAME_UNIXNAME}")
+-  SET(GAME_FINAL_DIR "/usr/bin")
++  SET(GAME_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/${GAME_UNIXNAME}")
++  SET(GAME_FINAL_DIR "{CMAKE_INSTALL_PREFIX}/bin")
+ 
+   INSTALL(CODE "MESSAGE(\"Installing ${GAME_NAME} ${GAME_VERSION}... Make sure you have root privileges.\")")
+   INSTALL(TARGETS ${GAME_UNIXNAME} RUNTIME DESTINATION ${GAME_INSTALL_DIR})

Modified: head/games/opensonic/pkg-plist
==============================================================================
--- head/games/opensonic/pkg-plist	Sun Sep  1 00:10:16 2013	(r325837)
+++ head/games/opensonic/pkg-plist	Sun Sep  1 00:13:51 2013	(r325838)
@@ -1,87 +1,95 @@
 bin/opensonic
-bin/opensonic_launcher
-%%DATADIR%%/config/sprite.def
-%%DATADIR%%/gui/button1.tga
-%%DATADIR%%/gui/button_disabled.tga
-%%DATADIR%%/gui/buttonhi.tga
-%%DATADIR%%/gui/buttonpress.tga
-%%DATADIR%%/gui/checkbox.tga
-%%DATADIR%%/gui/dialog.tga
-%%DATADIR%%/gui/gui.dat
-%%DATADIR%%/gui/listbox.tga
-%%DATADIR%%/gui/logo.tga
-%%DATADIR%%/gui/radio.tga
-%%DATADIR%%/gui/scrollbar.tga
-%%DATADIR%%/gui/slider.tga
-%%DATADIR%%/gui/textbox.tga
-%%DATADIR%%/gui/vscroll.tga
+%%DATADIR%%/config/samples.def
+%%DATADIR%%/images/acts.png
 %%DATADIR%%/images/animals.png
 %%DATADIR%%/images/baddies.png
 %%DATADIR%%/images/boss.png
+%%DATADIR%%/images/bumper.png
 %%DATADIR%%/images/checkpoint_orb.png
+%%DATADIR%%/images/desert1.png
+%%DATADIR%%/images/dnadoors.png
+%%DATADIR%%/images/editorbg.png
+%%DATADIR%%/images/even_more_shields.png
 %%DATADIR%%/images/font.png
 %%DATADIR%%/images/gui.png
-%%DATADIR%%/images/icon.png
 %%DATADIR%%/images/intro.png
 %%DATADIR%%/images/island.png
 %%DATADIR%%/images/island2.png
 %%DATADIR%%/images/island3.png
+%%DATADIR%%/images/item_boxes.png
 %%DATADIR%%/images/items.png
+%%DATADIR%%/images/lady_bugsy.png
+%%DATADIR%%/images/more_shields.png
 %%DATADIR%%/images/null.png
 %%DATADIR%%/images/ocean.png
 %%DATADIR%%/images/ocean2.png
+%%DATADIR%%/images/oceanfg.png
 %%DATADIR%%/images/player.png
 %%DATADIR%%/images/prototype1.png
 %%DATADIR%%/images/prototype2.png
+%%DATADIR%%/images/quest_extra.png
+%%DATADIR%%/images/quest_superbosses.png
+%%DATADIR%%/images/quest_tutorial.png
+%%DATADIR%%/images/questionmark.png
 %%DATADIR%%/images/ring_shields.png
 %%DATADIR%%/images/sourcecode.png
+%%DATADIR%%/images/special.png
+%%DATADIR%%/images/spikes.png
 %%DATADIR%%/images/spring_pads.png
 %%DATADIR%%/images/squarebg.png
+%%DATADIR%%/images/switches.png
+%%DATADIR%%/images/template.png
+%%DATADIR%%/images/template2.png
+%%DATADIR%%/images/template3.png
 %%DATADIR%%/images/title.png
+%%DATADIR%%/languages/deutsch.lng
+%%DATADIR%%/languages/dutch.lng
 %%DATADIR%%/languages/english.lng
-%%DATADIR%%/languages/espanol.lng
 %%DATADIR%%/languages/francais.lng
+%%DATADIR%%/languages/indonesian.lng
+%%DATADIR%%/languages/italiano.lng
+%%DATADIR%%/languages/polish.lng
 %%DATADIR%%/languages/ptbr.lng
 %%DATADIR%%/levels/blue_ocean_1.lev
-%%DATADIR%%/levels/blue_ocean_1m.lev
 %%DATADIR%%/levels/blue_ocean_2.lev
-%%DATADIR%%/levels/blue_ocean_2m.lev
 %%DATADIR%%/levels/blue_ocean_3.lev
-%%DATADIR%%/levels/blue_ocean_3m.lev
+%%DATADIR%%/levels/desert1.lev
 %%DATADIR%%/levels/exotic_1.lev
-%%DATADIR%%/levels/exotic_1m.lev
 %%DATADIR%%/levels/exotic_2.lev
-%%DATADIR%%/levels/exotic_2m.lev
 %%DATADIR%%/levels/exotic_3.lev
-%%DATADIR%%/levels/exotic_3m.lev
+%%DATADIR%%/levels/exotichell_1.lev
 %%DATADIR%%/levels/prototype.lev
+%%DATADIR%%/levels/superboss_1.lev
+%%DATADIR%%/levels/superboss_2.lev
+%%DATADIR%%/levels/template.lev
 %%DATADIR%%/levels/testzone.lev
 %%DATADIR%%/levels/tutorial_1.lev
 %%DATADIR%%/levels/tutorial_2.lev
 %%DATADIR%%/license.txt
 %%DATADIR%%/licenses/2xsai.txt
 %%DATADIR%%/licenses/Allegro.txt
-%%DATADIR%%/licenses/AllegroPNG.txt
 %%DATADIR%%/licenses/DUMB.txt
-%%DATADIR%%/licenses/lexgui.txt
+%%DATADIR%%/licenses/jpgalleg.txt
+%%DATADIR%%/licenses/loadpng.txt
 %%DATADIR%%/licenses/logg.txt
-%%DATADIR%%/musics/boss.it
+%%DATADIR%%/licenses/nanoparser.txt
+%%DATADIR%%/musics/boss.ogg
 %%DATADIR%%/musics/credits.txt
-%%DATADIR%%/musics/endofquest.it
-%%DATADIR%%/musics/exotic.it
-%%DATADIR%%/musics/invencible.it
-%%DATADIR%%/musics/ocean.it
-%%DATADIR%%/musics/speed.it
+%%DATADIR%%/musics/crusader.ogg
+%%DATADIR%%/musics/invincible.ogg
+%%DATADIR%%/musics/luminous_vein.ogg
+%%DATADIR%%/musics/options.ogg
+%%DATADIR%%/musics/speed.ogg
 %%DATADIR%%/musics/title.ogg
-%%DATADIR%%/musics/tutorial.it
-%%DATADIR%%/opensonic_bin
-%%DATADIR%%/opensonic_launcher_bin
-%%DATADIR%%/quests/master.png
-%%DATADIR%%/quests/master.qst
-%%DATADIR%%/quests/tutorial.png
+%%DATADIR%%/objects/old_enemies.obj
+%%DATADIR%%/opensonic
+%%DATADIR%%/quests/default.qst
+%%DATADIR%%/quests/extra.qst
+%%DATADIR%%/quests/superbosses.qst
 %%DATADIR%%/quests/tutorial.qst
 %%DATADIR%%/readme.html
 %%DATADIR%%/samples/1up.ogg
+%%DATADIR%%/samples/acidshield.wav
 %%DATADIR%%/samples/bigring.wav
 %%DATADIR%%/samples/bigshot.wav
 %%DATADIR%%/samples/bosshit.wav
@@ -100,9 +108,10 @@ bin/opensonic_launcher
 %%DATADIR%%/samples/endsign.wav
 %%DATADIR%%/samples/fire.wav
 %%DATADIR%%/samples/fire2.wav
+%%DATADIR%%/samples/fireshield.wav
 %%DATADIR%%/samples/floorfall.wav
 %%DATADIR%%/samples/glasses.wav
-%%DATADIR%%/samples/goal.wav
+%%DATADIR%%/samples/goal.ogg
 %%DATADIR%%/samples/jump.wav
 %%DATADIR%%/samples/puff.wav
 %%DATADIR%%/samples/return.wav
@@ -114,6 +123,8 @@ bin/opensonic_launcher
 %%DATADIR%%/samples/shield.wav
 %%DATADIR%%/samples/shot.wav
 %%DATADIR%%/samples/spikes.wav
+%%DATADIR%%/samples/spikes_appearing.wav
+%%DATADIR%%/samples/spikes_disappearing.wav
 %%DATADIR%%/samples/spin.wav
 %%DATADIR%%/samples/spindash1.wav
 %%DATADIR%%/samples/spindash2.wav
@@ -122,32 +133,92 @@ bin/opensonic_launcher
 %%DATADIR%%/samples/teleporter.wav
 %%DATADIR%%/samples/tfly1.wav
 %%DATADIR%%/samples/tfly2.wav
+%%DATADIR%%/samples/thundershield.wav
 %%DATADIR%%/samples/touch.wav
 %%DATADIR%%/samples/touch2.wav
+%%DATADIR%%/samples/watershield.wav
+%%DATADIR%%/samples/windshield.wav
 %%DATADIR%%/screenshots/screenshots.txt
+%%DATADIR%%/sprites/animal.spr
+%%DATADIR%%/sprites/bigring.spr
+%%DATADIR%%/sprites/bluering.spr
+%%DATADIR%%/sprites/bosses.spr
+%%DATADIR%%/sprites/bumper.spr
+%%DATADIR%%/sprites/charge.spr
+%%DATADIR%%/sprites/checkpointorb.spr
+%%DATADIR%%/sprites/chef.spr
+%%DATADIR%%/sprites/danger.spr
+%%DATADIR%%/sprites/dangpower.spr
+%%DATADIR%%/sprites/dnadoor.spr
+%%DATADIR%%/sprites/door.spr
+%%DATADIR%%/sprites/explosion.spr
+%%DATADIR%%/sprites/fireball.spr
+%%DATADIR%%/sprites/flyingboy.spr
+%%DATADIR%%/sprites/flyingeyes.spr
+%%DATADIR%%/sprites/font.spr
+%%DATADIR%%/sprites/glasses.spr
+%%DATADIR%%/sprites/goal.spr
+%%DATADIR%%/sprites/goldfish.spr
+%%DATADIR%%/sprites/hud.spr
+%%DATADIR%%/sprites/icon.spr
+%%DATADIR%%/sprites/itembox.spr
+%%DATADIR%%/sprites/joan.spr
+%%DATADIR%%/sprites/kleps.spr
+%%DATADIR%%/sprites/lady_bugsy.spr
+%%DATADIR%%/sprites/levelact.spr
+%%DATADIR%%/sprites/loop.spr
+%%DATADIR%%/sprites/menu.spr
+%%DATADIR%%/sprites/misc.spr
+%%DATADIR%%/sprites/nafder.spr
+%%DATADIR%%/sprites/neon.spr
+%%DATADIR%%/sprites/oranjection.spr
+%%DATADIR%%/sprites/ring.spr
+%%DATADIR%%/sprites/roboxer.spr
+%%DATADIR%%/sprites/shield.spr
+%%DATADIR%%/sprites/spikes.spr
+%%DATADIR%%/sprites/spring.spr
+%%DATADIR%%/sprites/surge.spr
+%%DATADIR%%/sprites/surpreyes.spr
+%%DATADIR%%/sprites/switch.spr
+%%DATADIR%%/sprites/teleporter.spr
+%%DATADIR%%/themes/credits.bg
+%%DATADIR%%/themes/desert1.bg
+%%DATADIR%%/themes/desert1.brk
+%%DATADIR%%/themes/intro.bg
 %%DATADIR%%/themes/island.bg
 %%DATADIR%%/themes/island.brk
+%%DATADIR%%/themes/island.grp
 %%DATADIR%%/themes/island2.bg
 %%DATADIR%%/themes/island2.brk
 %%DATADIR%%/themes/island3.bg
 %%DATADIR%%/themes/island3.brk
+%%DATADIR%%/themes/langselect.bg
+%%DATADIR%%/themes/levelselect.bg
+%%DATADIR%%/themes/menu.bg
 %%DATADIR%%/themes/ocean.bg
 %%DATADIR%%/themes/ocean.brk
 %%DATADIR%%/themes/ocean2.bg
 %%DATADIR%%/themes/ocean2.brk
 %%DATADIR%%/themes/ocean2b.bg
 %%DATADIR%%/themes/oceanb.bg
+%%DATADIR%%/themes/oceanf.bg
+%%DATADIR%%/themes/options.bg
 %%DATADIR%%/themes/prototype.bg
 %%DATADIR%%/themes/prototype.brk
+%%DATADIR%%/themes/template.bg
+%%DATADIR%%/themes/template.brk
+%%DATADIR%%/themes/template.grp
+%%DATADIR%%/themes/tutorial.bg
 @dirrm %%DATADIR%%/themes
+@dirrm %%DATADIR%%/sprites
 @dirrm %%DATADIR%%/screenshots
 @dirrm %%DATADIR%%/samples
 @dirrm %%DATADIR%%/quests
+@dirrm %%DATADIR%%/objects
 @dirrm %%DATADIR%%/musics
 @dirrm %%DATADIR%%/licenses
 @dirrm %%DATADIR%%/levels
 @dirrm %%DATADIR%%/languages
 @dirrm %%DATADIR%%/images
-@dirrm %%DATADIR%%/gui
 @dirrm %%DATADIR%%/config
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"